package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 历史记录,订单/计划
type History struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	TargetId   string             `bson:"targetId,omitempty" json:"targetId"`
	Path       string             `bson:"path,omitempty" json:"path"`
	Collection string             `bson:"collection,omitempty" json:"collection"`
	Type       string             `bson:"type,omitempty" json:"type"`
	// 谁操作
	Userinfo   *UserSmaple `bson:"userInfo,omitempty" json:"userInfo"`
	Content    string      `bson:"content,omitempty" json:"content"`
	CreateTime time.Time   `bson:"createTime,omitempty" json:"createTime"`
}
